## python-gabbi 0.12.1

=== Makefile ===
# simple Makefile for some common tasks
.PHONY: clean test dist release pypi tagv docs

clean:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r .tox || true
	rm -r .eggs || true
	rm -r gabbi.egg-info || true

tagv:
	git tag -s \
		-m `python -c 'import gabbi; print gabbi.__version__'` \
		`python -c 'import gabbi; print gabbi.__version__'`
	git push origin master --tags

cleanagain:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r .tox || true
	rm -r .eggs || true
	rm -r gabbi.egg-info || true

docs:
	cd docs ; $(MAKE) html

test:
	tox

dist: test
	python setup.py sdist

release: clean test cleanagain tagv pypi

pypi:
	python setup.py sdist upload

=== requirements.txt ===
pbr
six
testtools
PyYAML
httplib2
jsonpath-rw
wsgi-intercept

=== debian/changelog ===
python-gabbi (0.12.1-1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Sep 2015 14:38:52 +0000

python-gabbi (0.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Black list 2 new tests:
    gabbi.driver.test_intercept_self_get_location_from_headers.test_request
    gabbi.driver.test_intercept_self_confirm_environ.test_request

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Mar 2015 19:48:19 +0100

python-gabbi (0.7.1-1) unstable; urgency=medium

  * Initial release. (Closes: #778233)

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Feb 2015 14:59:20 +0100

=== debian/control ===
Source: python-gabbi
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-httplib2,
                     python-jsonpath-rw,
                     python-six,
                     python-testtools,
                     python-wsgi-intercept,
                     python-yaml,
                     python3-httplib2,
                     python3-jsonpath-rw,
                     python3-six,
                     python3-testtools,
                     python3-wsgi-intercept,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-gabbi.git
Vcs-Git: git://anonscm.debian.org/openstack/python-gabbi.git
Homepage: https://github.com/cdent/gabbi

Package: python-gabbi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-httplib2,
         python-jsonpath-rw,
         python-pbr,
         python-six,
         python-testtools,
         python-wsgi-intercept,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-gabbi-doc
Description: declarative HTTP testing library - Python 2.x
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the Python 2.x module.

Package: python3-gabbi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-httplib2,
         python3-jsonpath-rw,
         python3-pbr,
         python3-six (>= 1.7.0),
         python3-testtools,
         python3-wsgi-intercept,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-gabbi-doc
Description: declarative HTTP testing library - Python 3.x
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the Python 3.x module.

Package: python-gabbi-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: declarative HTTP testing library - doc
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/cdent/gabbi.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

UNIT_TEST_BLACKLIST = test_intercept_backref_post_.*_json.test_request.*|test_intercept_google_.*.test_request.*|test_intercept_regex_regex_test.test_reques.*|test_intercept_self_inheritance_of_defaults.test_request.*|test_intercept_self_bogus_method.test_request.*|test_intercept_self_simple_post.test_request.*|test_intercept_self_use_prior_location.test_request.*|test_intercept_self_get_ssl_page.test_request.*|test_live_google_.*.test_request.*|test_live_google_follow_redirects.test_request.*|test_intercept_self_get_location_from_headers.test_request.*|test_intercept_self_confirm_environ.test_request.*

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-gabbi; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-gabbi; \
	done
	rm -rf $(CURDIR)/debian/python*-gabbi/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e ; for i in 2.7 ; do \
	echo "===> Running tests"
	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gabbi\.driver\.(?!.*('"$(UNIT_TEST_BLACKLIST)"'))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html docs/source debian/python-gabbi-doc/usr/share/doc/python-gabbi-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/gabbi gabbi-(.*).tar.gz

## python-gabbi 1.12.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 	rm -r dist || true
 	rm -r build || true
 	rm -r .tox || true
+	rm -r .testrepository || true
+	rm -r cover .coverage || true
 	rm -r .eggs || true
 	rm -r gabbi.egg-info || true
 
@@ -20,6 +22,8 @@
 	rm -r dist || true
 	rm -r build || true
 	rm -r .tox || true
+	rm -r .testrepository || true
+	rm -r cover .coverage || true
 	rm -r .eggs || true
 	rm -r gabbi.egg-info || true

=== requirements.txt ===
pbr
six
PyYAML
httplib2
jsonpath-rw
wsgi-intercept>=1.0.0
colorama

=== debian/changelog ===
python-gabbi (1.12.0-3+5~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 14 Sep 2016 09:14:59 +0000

python-gabbi (1.12.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 17:18:01 +0000

python-gabbi (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added 50-no-external-site-css.patch.
  * Fixed debian/copyright ordering.
  * Removed Pre-Depends: dpkg (>= 1.15.6~).
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 12:44:06 +0000

python-gabbi (1.6.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 23:01:38 +0000

python-gabbi (1.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not run unit tests as it's broken and requires internet.
  * Using update-alternatives to provide /usr/bin/gabbi-run.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 21:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -13,39 +13,44 @@
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-coverage,
+Build-Depends-Indep: python-colorama,
+                     python-coverage,
+                     python-hacking,
                      python-httplib2,
                      python-jsonpath-rw,
+                     python-mock,
                      python-six,
                      python-testtools,
-                     python-wsgi-intercept,
+                     python-wsgi-intercept (>= 1.0.0),
                      python-yaml,
+                     python3-colorama,
                      python3-httplib2,
                      python3-jsonpath-rw,
+                     python3-mock,
                      python3-six,
                      python3-testtools,
-                     python3-wsgi-intercept,
+                     python3-wsgi-intercept (>= 1.0.0),
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-gabbi.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-gabbi.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-gabbi.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-gabbi.git
 Homepage: https://github.com/cdent/gabbi
 
 Package: python-gabbi
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-httplib2,
+Depends: python-colorama,
+         python-httplib2,
          python-jsonpath-rw,
          python-pbr,
          python-six,
          python-testtools,
-         python-wsgi-intercept,
+         python-wsgi-intercept (>= 1.0.0),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
-Suggests: python-gabbi-doc
+Suggests: python-gabbi-doc,
 Description: declarative HTTP testing library - Python 2.x
  Gabbi is a tool for running HTTP tests where requests and responses are
  represented in a declarative form.
@@ -77,17 +82,17 @@
 
 Package: python3-gabbi
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python3-httplib2,
+Depends: python3-colorama,
+         python3-httplib2,
          python3-jsonpath-rw,
          python3-pbr,
          python3-six (>= 1.7.0),
          python3-testtools,
-         python3-wsgi-intercept,
+         python3-wsgi-intercept (>= 1.0.0),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},
-Suggests: python-gabbi-doc
+Suggests: python-gabbi-doc,
 Description: declarative HTTP testing library - Python 3.x
  Gabbi is a tool for running HTTP tests where requests and responses are
  represented in a declarative form.
@@ -120,8 +125,8 @@
 Package: python-gabbi-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: declarative HTTP testing library - doc
  Gabbi is a tool for running HTTP tests where requests and responses are
  represented in a declarative form.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/cdent/gabbi.git
+UPSTREAM_GIT := https://github.com/cdent/gabbi.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -26,23 +26,26 @@
 			--root $(CURDIR)/debian/python3-gabbi; \
 	done
 	rm -rf $(CURDIR)/debian/python*-gabbi/usr/lib/python*/dist-packages/*.pth
+	mv $(CURDIR)/debian/python-gabbi/usr/bin/gabbi-run $(CURDIR)/debian/python-gabbi/usr/bin/python2-gabbi-run
+	mv $(CURDIR)/debian/python3-gabbi/usr/bin/gabbi-run $(CURDIR)/debian/python3-gabbi/usr/bin/python3-gabbi-run
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	set -e ; for i in 2.7 ; do \
-	echo "===> Running tests"
-	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gabbi\.driver\.(?!.*('"$(UNIT_TEST_BLACKLIST)"'))' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
-endif
+#override_dh_auto_test:
+#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+##	set -e ; for i in 2.7 ; do \
+#	echo "===> Running tests"
+#	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` ; \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gabbi\.driver\.(test_[^_]+_[^_]+)' | tee $$TEMP_REZ | subunit2pyunit ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
+#endif
+##		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gabbi\.driver\.(?!.*('"$(UNIT_TEST_BLACKLIST)"'))' | tee $$TEMP_REZ | subunit2pyunit ; \
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils

## python-gabbi 1.24.0

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	cd docs ; $(MAKE) html
 
 test:
-	tox
+	tox --skip-missing-interpreters
 
 dist: test
 	python setup.py sdist

=== requirements.txt ===
pbr
pytest
six
PyYAML
urllib3>=1.11.0
jsonpath-rw-ext>=1.0.0
wsgi-intercept>=1.2.2
colorama

=== debian/changelog ===
python-gabbi (1.24.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:59:33 +0200

python-gabbi (1.24.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 17:12:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr,
                python-setuptools,
@@ -34,8 +34,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-gabbi.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-gabbi.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-gabbi?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-gabbi -b debian/newton
 Homepage: https://github.com/cdent/gabbi
 
 Package: python-gabbi

## python-gabbi 1.26.1

=== debian/changelog ===
python-gabbi (1.26.1-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Thu, 10 Aug 2017 12:00:00 +0200

python-gabbi (1.24.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:06:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -34,8 +34,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-gabbi?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-gabbi -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-gabbi.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-gabbi.git -b debian/ocata
 Homepage: https://github.com/cdent/gabbi
 
 Package: python-gabbi

## python-gabbi 1.35.0

=== debian/changelog ===
python-gabbi (1.35.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 19:44:45 +0000

python-gabbi (1.35.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:08:21 -0400

python-gabbi (1.26.1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 12:41:14 -0500

## python-gabbi 1.40.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	find . -name "*.pyc" |xargs rm || true
 	rm -r dist || true
 	rm -r build || true
-	rm -r .tox || true
+	rm -rf .tox || true
 	rm -r .testrepository || true
 	rm -r cover .coverage || true
 	rm -r .eggs || true
@@ -34,9 +34,9 @@
 	tox --skip-missing-interpreters
 
 dist: test
-	python setup.py sdist
+	python setup.py sdist bdist_wheel
 
 release: clean test cleanagain tagv pypi
 
 pypi:
-	python setup.py sdist upload
+	python setup.py sdist bdist_wheel upload --sign

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 jsonpath-rw-ext>=1.0.0
 wsgi-intercept>=1.2.2
 colorama
+testtools

=== debian/changelog ===
python-gabbi (1.40.0-4) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:38:12 +0000

python-gabbi (1.40.0-3) unstable; urgency=medium

  * Python 3 has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 20:22:34 +0000

python-gabbi (1.40.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:38:57 +0000

python-gabbi (1.40.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 09:43:22 +0000

python-gabbi (1.35.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:28:32 +0000

python-gabbi (1.35.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2017 11:15:45 +0200

=== debian/control ===
Source: python-gabbi
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-colorama,
 python-coverage,
 python-hacking,
 python-httplib2,
 python-jsonpath-rw,
 python-mock,
 python-pytest-cov,
 python-six,
 python-testtools,
 python-wsgi-intercept (>= 1.0.0),
 python-yaml,
 python3-colorama,
 python3-httplib2,
 python3-jsonpath-rw,
 python3-mock,
 python3-pytest-cov,
 python3-six,
 python3-testtools,
 python3-wsgi-intercept (>= 1.0.0),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-gabbi
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-gabbi.git
Homepage: https://github.com/cdent/gabbi

Package: python-gabbi
Architecture: all
Depends:
 python-colorama,
 python-httplib2,
 python-jsonpath-rw,
 python-pbr,
 python-six,
 python-testtools,
 python-wsgi-intercept (>= 1.0.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-gabbi-doc,
Description: declarative HTTP testing library - Python 2.x
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the Python 2.x module.

Package: python-gabbi-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: declarative HTTP testing library - doc
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the documentation.

Package: python3-gabbi
Architecture: all
Depends:
 python3-colorama,
 python3-httplib2,
 python3-jsonpath-rw,
 python3-pbr,
 python3-six (>= 1.7.0),
 python3-testtools,
 python3-wsgi-intercept (>= 1.0.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gabbi-doc,
Description: declarative HTTP testing library - Python 3.x
 Gabbi is a tool for running HTTP tests where requests and responses are
 represented in a declarative form.
 .
 Gabbi works to bridge the gap between human readable YAML files that represent
 HTTP requests and expected responses and the obscured realm of Python-based,
 object-oriented unit tests in the style of the unittest module and its
 derivatives.
 .
 Each YAML file represents an ordered list of HTTP requests along with the
 expected responses. This allows a single file to represent a process in the
 API being tested. For example:
 .
  * Create a resource.
  * Retrieve a resource.
  * Delete a resource.
  * Retrieve a resource again to confirm it is gone.
 .
 At the same time it is still possible to ask gabbi to run just one request.
 If it is in a sequence of tests, those tests prior to it in the YAML file will
 be run (in order). In any single process any test will only be run once.
 Concurrency is handled such that one file runs in one process.
 .
 These features mean that it is possible to create tests that are useful for
 both humans (as tools for improving and developing APIs) and automated CI
 systems.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,7 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT := https://github.com/cdent/gabbi.git
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(VERSION)
 
 UNIT_TEST_BLACKLIST = test_intercept_backref_post_.*_json.test_request.*|test_intercept_google_.*.test_request.*|test_intercept_regex_regex_test.test_reques.*|test_intercept_self_inheritance_of_defaults.test_request.*|test_intercept_self_bogus_method.test_request.*|test_intercept_self_simple_post.test_request.*|test_intercept_self_use_prior_location.test_request.*|test_intercept_self_get_ssl_page.test_request.*|test_live_google_.*.test_request.*|test_live_google_follow_redirects.test_request.*|test_intercept_self_get_location_from_headers.test_request.*|test_intercept_self_confirm_environ.test_request.*
 
@@ -16,18 +11,8 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-gabbi; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-gabbi; \
-	done
-	rm -rf $(CURDIR)/debian/python*-gabbi/usr/lib/python*/dist-packages/*.pth
-	mv $(CURDIR)/debian/python-gabbi/usr/bin/gabbi-run $(CURDIR)/debian/python-gabbi/usr/bin/python2-gabbi-run
-	mv $(CURDIR)/debian/python3-gabbi/usr/bin/gabbi-run $(CURDIR)/debian/python3-gabbi/usr/bin/python3-gabbi-run
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 #override_dh_auto_test:
 #ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -55,6 +40,9 @@
 	sphinx-build -b html docs/source debian/python-gabbi-doc/usr/share/doc/python-gabbi-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 # Commands not to run
 override_dh_installcatalogs:
 override_dh_installemacsen override_dh_installifupdown:

## python-gabbi 1.44.0

=== Makefile ===
--- 
+++ 
@@ -34,9 +34,9 @@
 	tox --skip-missing-interpreters
 
 dist: test
-	python setup.py sdist bdist_wheel
+	python3 setup.py sdist bdist_wheel
 
 release: clean test cleanagain tagv pypi
 
 pypi:
-	python setup.py sdist bdist_wheel upload --sign
+	python3 setup.py sdist bdist_wheel upload --sign

=== requirements.txt ===
pbr
pytest
six
PyYAML<4.0
urllib3>=1.11.0
jsonpath-rw-ext>=1.0.0
wsgi-intercept>=1.2.2
colorama
testtools

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Gabbi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Gabbi.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Gabbi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Gabbi"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-gabbi (1.44.0-0ubuntu3) eoan; urgency=medium

  * Drop maintainer scripts as these are no longer required as package
    on ships a Python 3 module.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Sep 2019 09:38:55 +0100

python-gabbi (1.44.0-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Sep 2019 13:37:06 -0700

python-gabbi (1.44.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 13:53:38 -0400

python-gabbi (1.40.0-4ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/compat: Remain at compat level 10 and point Vcs-Browser and
      Vcs-Git at lp:~ubuntu-server-dev. Also retain Testsuite
      autopkgtest-pkg-python.
    - d/gbp.conf: Retain for pristine-tar.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 May 2018 15:53:51 -0400

python-gabbi (1.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 15:45:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,91 +1,38 @@
 Source: python-gabbi
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
- python-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- python-colorama,
- python-coverage,
- python-hacking,
- python-httplib2,
- python-jsonpath-rw,
- python-mock,
- python-pytest-cov,
- python-six,
- python-testtools,
- python-wsgi-intercept (>= 1.0.0),
- python-yaml,
  python3-colorama,
+ python3-coverage,
+ python3-hacking,
  python3-httplib2,
  python3-jsonpath-rw,
  python3-mock,
  python3-pytest-cov,
  python3-six,
+ python3-stestr,
  python3-testtools,
- python3-wsgi-intercept (>= 1.0.0),
+ python3-urllib3 (>= 1.11.0),
+ python3-wsgi-intercept (>= 1.2.2),
  python3-yaml,
  subunit,
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-gabbi
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-gabbi.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gabbi
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gabbi
 Homepage: https://github.com/cdent/gabbi
-
-Package: python-gabbi
-Architecture: all
-Depends:
- python-colorama,
- python-httplib2,
- python-jsonpath-rw,
- python-pbr,
- python-six,
- python-testtools,
- python-wsgi-intercept (>= 1.0.0),
- python-yaml,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-gabbi-doc,
-Description: declarative HTTP testing library - Python 2.x
- Gabbi is a tool for running HTTP tests where requests and responses are
- represented in a declarative form.
- .
- Gabbi works to bridge the gap between human readable YAML files that represent
- HTTP requests and expected responses and the obscured realm of Python-based,
- object-oriented unit tests in the style of the unittest module and its
- derivatives.
- .
- Each YAML file represents an ordered list of HTTP requests along with the
- expected responses. This allows a single file to represent a process in the
- API being tested. For example:
- .
-  * Create a resource.
-  * Retrieve a resource.
-  * Delete a resource.
-  * Retrieve a resource again to confirm it is gone.
- .
- At the same time it is still possible to ask gabbi to run just one request.
- If it is in a sequence of tests, those tests prior to it in the YAML file will
- be run (in order). In any single process any test will only be run once.
- Concurrency is handled such that one file runs in one process.
- .
- These features mean that it is possible to create tests that are useful for
- both humans (as tools for improving and developing APIs) and automated CI
- systems.
- .
- This package contains the Python 2.x module.
 
 Package: python-gabbi-doc
 Section: doc
@@ -129,9 +76,10 @@
  python3-httplib2,
  python3-jsonpath-rw,
  python3-pbr,
- python3-six (>= 1.7.0),
+ python3-six,
  python3-testtools,
- python3-wsgi-intercept (>= 1.0.0),
+ python3-urllib3 (>= 1.11.0),
+ python3-wsgi-intercept (>= 1.2.2),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,10 @@
 export https_proxy=127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 #override_dh_auto_test:
 #ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-gabbi 2.0.1

=== Makefile ===
--- 
+++ 
@@ -39,4 +39,5 @@
 release: clean test cleanagain tagv pypi
 
 pypi:
-	python3 setup.py sdist bdist_wheel upload --sign
+	python3 setup.py sdist bdist_wheel
+	twine upload -s dist/*

=== requirements.txt ===
pbr
pytest
six
PyYAML
urllib3>=1.11.0
certifi
jsonpath-rw-ext>=1.0.0
wsgi-intercept>=1.8.1
colorama

=== debian/changelog ===
python-gabbi (2.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 May 2020 00:35:22 +0200

python-gabbi (1.40.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #934442).

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Aug 2019 17:45:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: python-gabbi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 9),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -22,16 +21,14 @@
  python3-mock,
  python3-pytest-cov,
  python3-six,
- python3-stestr,
  python3-testtools,
- python3-urllib3 (>= 1.11.0),
- python3-wsgi-intercept (>= 1.2.2),
+ python3-wsgi-intercept,
  python3-yaml,
  subunit,
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gabbi
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gabbi
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-gabbi
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-gabbi.git
 Homepage: https://github.com/cdent/gabbi
 
 Package: python-gabbi-doc
@@ -76,10 +73,9 @@
  python3-httplib2,
  python3-jsonpath-rw,
  python3-pbr,
- python3-six,
+ python3-six (>= 1.7.0),
  python3-testtools,
- python3-urllib3 (>= 1.11.0),
- python3-wsgi-intercept (>= 1.2.2),
+ python3-wsgi-intercept (>= 1.0.0),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
